import { ToolbarActionToggle } from '../../toolbar';
export declare class SidebarToolbarItem extends ToolbarActionToggle {
    get sidebarManager(): import('./sidebar-manager').SidebarManager | undefined;
    get enabled(): boolean;
    protected init(): void;
    open(): void;
    close(): void;
}
